Bug 1319731 (CVE-2012-6702) - CVE-2012-6702 expat: Using XML_Parse before rand() results into non-random output
Summary: CVE-2012-6702 expat: Using XML_Parse before rand() results into non-random ou...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2012-6702
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150227,repor...
Depends On: 1319735 1319736 1197087 1319732 1319733 1319734
Blocks: 1296104 1319739
TreeView+ depends on / blocked
 
Reported: 2016-03-21 11:55 UTC by Adam Mariš
Modified: 2019-06-08 21:05 UTC (History)
42 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-05 21:35:50 UTC


Attachments (Terms of Use)
Proposed upstream patch (4.42 KB, patch)
2016-06-06 13:19 UTC, Adam Mariš
no flags Details | Diff

Description Adam Mariš 2016-03-21 11:55:54 UTC
It was found that when calling XML_Parse ahead of rand(), it causes the pseudo random generator to generate non-random predictable numbers.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1197087

Comment 1 Adam Mariš 2016-03-21 11:56:47 UTC
Created compat-expat1 tracking bugs for this issue:

Affects: fedora-all [bug 1319733]

Comment 2 Adam Mariš 2016-03-21 11:56:56 UTC
Created expat tracking bugs for this issue:

Affects: fedora-all [bug 1319732]

Comment 3 Adam Mariš 2016-03-21 11:57:03 UTC
Created mingw-expat tracking bugs for this issue:

Affects: fedora-all [bug 1319734]
Affects: epel-7 [bug 1319736]

Comment 4 Adam Mariš 2016-03-21 11:57:10 UTC
Created expat21 tracking bugs for this issue:

Affects: epel-all [bug 1319735]

Comment 5 Andrej Nemec 2016-06-06 07:50:05 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q2/469

Comment 6 Adam Mariš 2016-06-06 13:19:40 UTC
Created attachment 1165212 [details]
Proposed upstream patch


Note You need to log in before you can comment on or make changes to this bug.